Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.76.192.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
232.76.192.0
Broadcast address
232.76.255.255
First usable
232.76.192.1
Last usable
232.76.255.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E84CC000 · Integer 3897344000 to 3897360383
Reverse DNS zones
192.76.232.in-addr.arpa
193.76.232.in-addr.arpa
194.76.232.in-addr.arpa
195.76.232.in-addr.arpa
196.76.232.in-addr.arpa
197.76.232.in-addr.arpa
198.76.232.in-addr.arpa
199.76.232.in-addr.arpa
200.76.232.in-addr.arpa
201.76.232.in-addr.arpa
202.76.232.in-addr.arpa
203.76.232.in-addr.arpa
204.76.232.in-addr.arpa
205.76.232.in-addr.arpa
206.76.232.in-addr.arpa
207.76.232.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.01001100.11000000.00000000232.76.192.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network11101000.01001100.11000000.00000000232.76.192.0
Broadcast11101000.01001100.11111111.11111111232.76.255.255
Split into smaller subnets/25

232.76.192.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.76.192.0/25232.76.192.1 to 232.76.192.126232.76.192.127126
2232.76.192.128/25232.76.192.129 to 232.76.192.254232.76.192.255126
3232.76.193.0/25232.76.193.1 to 232.76.193.126232.76.193.127126
4232.76.193.128/25232.76.193.129 to 232.76.193.254232.76.193.255126
5232.76.194.0/25232.76.194.1 to 232.76.194.126232.76.194.127126
6232.76.194.128/25232.76.194.129 to 232.76.194.254232.76.194.255126
7232.76.195.0/25232.76.195.1 to 232.76.195.126232.76.195.127126
8232.76.195.128/25232.76.195.129 to 232.76.195.254232.76.195.255126
9232.76.196.0/25232.76.196.1 to 232.76.196.126232.76.196.127126
10232.76.196.128/25232.76.196.129 to 232.76.196.254232.76.196.255126
11232.76.197.0/25232.76.197.1 to 232.76.197.126232.76.197.127126
12232.76.197.128/25232.76.197.129 to 232.76.197.254232.76.197.255126
13232.76.198.0/25232.76.198.1 to 232.76.198.126232.76.198.127126
14232.76.198.128/25232.76.198.129 to 232.76.198.254232.76.198.255126
15232.76.199.0/25232.76.199.1 to 232.76.199.126232.76.199.127126
16232.76.199.128/25232.76.199.129 to 232.76.199.254232.76.199.255126
17232.76.200.0/25232.76.200.1 to 232.76.200.126232.76.200.127126
18232.76.200.128/25232.76.200.129 to 232.76.200.254232.76.200.255126
19232.76.201.0/25232.76.201.1 to 232.76.201.126232.76.201.127126
20232.76.201.128/25232.76.201.129 to 232.76.201.254232.76.201.255126
21232.76.202.0/25232.76.202.1 to 232.76.202.126232.76.202.127126
22232.76.202.128/25232.76.202.129 to 232.76.202.254232.76.202.255126
23232.76.203.0/25232.76.203.1 to 232.76.203.126232.76.203.127126
24232.76.203.128/25232.76.203.129 to 232.76.203.254232.76.203.255126
25232.76.204.0/25232.76.204.1 to 232.76.204.126232.76.204.127126
26232.76.204.128/25232.76.204.129 to 232.76.204.254232.76.204.255126
27232.76.205.0/25232.76.205.1 to 232.76.205.126232.76.205.127126
28232.76.205.128/25232.76.205.129 to 232.76.205.254232.76.205.255126
29232.76.206.0/25232.76.206.1 to 232.76.206.126232.76.206.127126
30232.76.206.128/25232.76.206.129 to 232.76.206.254232.76.206.255126
31232.76.207.0/25232.76.207.1 to 232.76.207.126232.76.207.127126
32232.76.207.128/25232.76.207.129 to 232.76.207.254232.76.207.255126
33232.76.208.0/25232.76.208.1 to 232.76.208.126232.76.208.127126
34232.76.208.128/25232.76.208.129 to 232.76.208.254232.76.208.255126
35232.76.209.0/25232.76.209.1 to 232.76.209.126232.76.209.127126
36232.76.209.128/25232.76.209.129 to 232.76.209.254232.76.209.255126
37232.76.210.0/25232.76.210.1 to 232.76.210.126232.76.210.127126
38232.76.210.128/25232.76.210.129 to 232.76.210.254232.76.210.255126
39232.76.211.0/25232.76.211.1 to 232.76.211.126232.76.211.127126
40232.76.211.128/25232.76.211.129 to 232.76.211.254232.76.211.255126
41232.76.212.0/25232.76.212.1 to 232.76.212.126232.76.212.127126
42232.76.212.128/25232.76.212.129 to 232.76.212.254232.76.212.255126
43232.76.213.0/25232.76.213.1 to 232.76.213.126232.76.213.127126
44232.76.213.128/25232.76.213.129 to 232.76.213.254232.76.213.255126
45232.76.214.0/25232.76.214.1 to 232.76.214.126232.76.214.127126
46232.76.214.128/25232.76.214.129 to 232.76.214.254232.76.214.255126
47232.76.215.0/25232.76.215.1 to 232.76.215.126232.76.215.127126
48232.76.215.128/25232.76.215.129 to 232.76.215.254232.76.215.255126
49232.76.216.0/25232.76.216.1 to 232.76.216.126232.76.216.127126
50232.76.216.128/25232.76.216.129 to 232.76.216.254232.76.216.255126
51232.76.217.0/25232.76.217.1 to 232.76.217.126232.76.217.127126
52232.76.217.128/25232.76.217.129 to 232.76.217.254232.76.217.255126
53232.76.218.0/25232.76.218.1 to 232.76.218.126232.76.218.127126
54232.76.218.128/25232.76.218.129 to 232.76.218.254232.76.218.255126
55232.76.219.0/25232.76.219.1 to 232.76.219.126232.76.219.127126
56232.76.219.128/25232.76.219.129 to 232.76.219.254232.76.219.255126
57232.76.220.0/25232.76.220.1 to 232.76.220.126232.76.220.127126
58232.76.220.128/25232.76.220.129 to 232.76.220.254232.76.220.255126
59232.76.221.0/25232.76.221.1 to 232.76.221.126232.76.221.127126
60232.76.221.128/25232.76.221.129 to 232.76.221.254232.76.221.255126
61232.76.222.0/25232.76.222.1 to 232.76.222.126232.76.222.127126
62232.76.222.128/25232.76.222.129 to 232.76.222.254232.76.222.255126
63232.76.223.0/25232.76.223.1 to 232.76.223.126232.76.223.127126
64232.76.223.128/25232.76.223.129 to 232.76.223.254232.76.223.255126
65232.76.224.0/25232.76.224.1 to 232.76.224.126232.76.224.127126
66232.76.224.128/25232.76.224.129 to 232.76.224.254232.76.224.255126
67232.76.225.0/25232.76.225.1 to 232.76.225.126232.76.225.127126
68232.76.225.128/25232.76.225.129 to 232.76.225.254232.76.225.255126
69232.76.226.0/25232.76.226.1 to 232.76.226.126232.76.226.127126
70232.76.226.128/25232.76.226.129 to 232.76.226.254232.76.226.255126
71232.76.227.0/25232.76.227.1 to 232.76.227.126232.76.227.127126
72232.76.227.128/25232.76.227.129 to 232.76.227.254232.76.227.255126
73232.76.228.0/25232.76.228.1 to 232.76.228.126232.76.228.127126
74232.76.228.128/25232.76.228.129 to 232.76.228.254232.76.228.255126
75232.76.229.0/25232.76.229.1 to 232.76.229.126232.76.229.127126
76232.76.229.128/25232.76.229.129 to 232.76.229.254232.76.229.255126
77232.76.230.0/25232.76.230.1 to 232.76.230.126232.76.230.127126
78232.76.230.128/25232.76.230.129 to 232.76.230.254232.76.230.255126
79232.76.231.0/25232.76.231.1 to 232.76.231.126232.76.231.127126
80232.76.231.128/25232.76.231.129 to 232.76.231.254232.76.231.255126
81232.76.232.0/25232.76.232.1 to 232.76.232.126232.76.232.127126
82232.76.232.128/25232.76.232.129 to 232.76.232.254232.76.232.255126
83232.76.233.0/25232.76.233.1 to 232.76.233.126232.76.233.127126
84232.76.233.128/25232.76.233.129 to 232.76.233.254232.76.233.255126
85232.76.234.0/25232.76.234.1 to 232.76.234.126232.76.234.127126
86232.76.234.128/25232.76.234.129 to 232.76.234.254232.76.234.255126
87232.76.235.0/25232.76.235.1 to 232.76.235.126232.76.235.127126
88232.76.235.128/25232.76.235.129 to 232.76.235.254232.76.235.255126
89232.76.236.0/25232.76.236.1 to 232.76.236.126232.76.236.127126
90232.76.236.128/25232.76.236.129 to 232.76.236.254232.76.236.255126
91232.76.237.0/25232.76.237.1 to 232.76.237.126232.76.237.127126
92232.76.237.128/25232.76.237.129 to 232.76.237.254232.76.237.255126
93232.76.238.0/25232.76.238.1 to 232.76.238.126232.76.238.127126
94232.76.238.128/25232.76.238.129 to 232.76.238.254232.76.238.255126
95232.76.239.0/25232.76.239.1 to 232.76.239.126232.76.239.127126
96232.76.239.128/25232.76.239.129 to 232.76.239.254232.76.239.255126
97232.76.240.0/25232.76.240.1 to 232.76.240.126232.76.240.127126
98232.76.240.128/25232.76.240.129 to 232.76.240.254232.76.240.255126
99232.76.241.0/25232.76.241.1 to 232.76.241.126232.76.241.127126
100232.76.241.128/25232.76.241.129 to 232.76.241.254232.76.241.255126
101232.76.242.0/25232.76.242.1 to 232.76.242.126232.76.242.127126
102232.76.242.128/25232.76.242.129 to 232.76.242.254232.76.242.255126
103232.76.243.0/25232.76.243.1 to 232.76.243.126232.76.243.127126
104232.76.243.128/25232.76.243.129 to 232.76.243.254232.76.243.255126
105232.76.244.0/25232.76.244.1 to 232.76.244.126232.76.244.127126
106232.76.244.128/25232.76.244.129 to 232.76.244.254232.76.244.255126
107232.76.245.0/25232.76.245.1 to 232.76.245.126232.76.245.127126
108232.76.245.128/25232.76.245.129 to 232.76.245.254232.76.245.255126
109232.76.246.0/25232.76.246.1 to 232.76.246.126232.76.246.127126
110232.76.246.128/25232.76.246.129 to 232.76.246.254232.76.246.255126
111232.76.247.0/25232.76.247.1 to 232.76.247.126232.76.247.127126
112232.76.247.128/25232.76.247.129 to 232.76.247.254232.76.247.255126
113232.76.248.0/25232.76.248.1 to 232.76.248.126232.76.248.127126
114232.76.248.128/25232.76.248.129 to 232.76.248.254232.76.248.255126
115232.76.249.0/25232.76.249.1 to 232.76.249.126232.76.249.127126
116232.76.249.128/25232.76.249.129 to 232.76.249.254232.76.249.255126
117232.76.250.0/25232.76.250.1 to 232.76.250.126232.76.250.127126
118232.76.250.128/25232.76.250.129 to 232.76.250.254232.76.250.255126
119232.76.251.0/25232.76.251.1 to 232.76.251.126232.76.251.127126
120232.76.251.128/25232.76.251.129 to 232.76.251.254232.76.251.255126
121232.76.252.0/25232.76.252.1 to 232.76.252.126232.76.252.127126
122232.76.252.128/25232.76.252.129 to 232.76.252.254232.76.252.255126
123232.76.253.0/25232.76.253.1 to 232.76.253.126232.76.253.127126
124232.76.253.128/25232.76.253.129 to 232.76.253.254232.76.253.255126
125232.76.254.0/25232.76.254.1 to 232.76.254.126232.76.254.127126
126232.76.254.128/25232.76.254.129 to 232.76.254.254232.76.254.255126
127232.76.255.0/25232.76.255.1 to 232.76.255.126232.76.255.127126
128232.76.255.128/25232.76.255.129 to 232.76.255.254232.76.255.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses